# If you use C shell derivatives (eg. tcsh), source this file to set up your
# environment to use lscsoft software.

setenv LSCSOFT_PREFIX /opt/lscsoft

if ( ! ${?PATH} ) setenv PATH ""
if ( ! ${?PKG_CONFIG_PATH} ) setenv PKG_CONFIG_PATH ""
if ( ! ${?LD_LIBRARY_PATH} ) setenv LD_LIBRARY_PATH ""
if ( ! ${?MANPATH} ) setenv MANPATH ""

foreach directory ( libmetaio libframe )
	if ( -d "${LSCSOFT_PREFIX}/${directory}" ) then
		setenv PATH ${LSCSOFT_PREFIX}/${directory}/bin:${PATH}
		setenv PKG_CONFIG_PATH ${LSCSOFT_PREFIX}/${directory}/lib/pkgconfig:${PKG_CONFIG_PATH}
		setenv LD_LIBRARY_PATH ${LSCSOFT_PREFIX}/${directory}/lib:${LD_LIBRARY_PATH}
		setenv MANPATH ${LSCSOFT_PREFIX}/${directory}/man:${MANPATH}
	endif
end
